Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.security
Class PortalCMSSecurityContext

    java.lang.Object
      org.jboss.portal.cms.security.PortalCMSSecurityContext

All Implemented Interfaces:
  java.io.Serializable

    public class PortalCMSSecurityContext

extends java.lang.Object
implements java.io.Serializable

An implementation of SecurityContext for the core Portal Engine

Author:
  Sohil Shah - sohil.shah@jboss.com - Nov 27, 2006
See Also:
  Serialized Form

Constructor Summary
`PortalCMSSecurityContext(org.jboss.portal.identity.User portalUser)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns value corresponding to the specified attribute name
`java.lang.String[]` | `getAttributeNames()` Returns an array of Strings consisting of all keys/names stored in the context
`java.lang.Object` | `getIdentity()` This method returns the Identity of the user logged into the portal.
`void` | `removeAttribute(java.lang.String name)` Removes the specified attribute
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets a specified value corresponding to the specified name in the context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalCMSSecurityContext

    public PortalCMSSecurityContext(org.jboss.portal.identity.User portalUser)

Method Detail

### getIdentity

    public java.lang.Object getIdentity()

  This method returns the Identity of the user logged into the portal. The return value is of type org.jboss.portal.identity.User

  Returns:
    Identity related information associated with the user logged into the portal

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Returns value corresponding to the specified attribute name

  Parameters:
    `name` -
  Returns:

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Sets a specified value corresponding to the specified name in the context

  Parameters:
    `name` -
    `value` -

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Removes the specified attribute

  Parameters:
    `name` -

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Returns an array of Strings consisting of all keys/names stored in the context

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.